Package org.h2gis.functions.io.tsv

# Class TSVRead

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.functions.io.tsv.TSVRead

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class TSVRead extends org.h2gis.api.AbstractFunction implements org.h2gis.api.ScalarFunction
Read a Tab-separated values file

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`TSVRead()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static void`
`importTable(Connection connection, String fileName)`
Copy data from TSV File into a new table in specified connection.
`static void`
`importTable(Connection connection, String fileName, String tableReference, String encoding, boolean deleteTable)`
`static void`
`importTable(Connection connection, String fileName, String tableReference, org.h2.value.Value option)`
`static void`
`importTable(Connection connection, String fileName, org.h2.value.Value option)`
Copy data from TSV File into a new table in specified connection.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### TSVRead

public TSVRead()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

### importTable

public static void importTable(Connection connection, String fileName, org.h2.value.Value option) throws SQLException, FileNotFoundException, IOException
Copy data from TSV File into a new table in specified connection.

Parameters:
  `connection` -
  `fileName` -
  `option` - table name or true to delete it
Throws:
  `SQLException`
  `FileNotFoundException`
  `IOException`

### importTable

public static void importTable(Connection connection, String fileName, String tableReference, org.h2.value.Value option) throws SQLException, IOException

Throws:
  `SQLException`
  `IOException`

### importTable

public static void importTable(Connection connection, String fileName, String tableReference, String encoding, boolean deleteTable) throws SQLException, FileNotFoundException, IOException

Parameters:
  `connection` -
  `fileName` -
  `tableReference` -
  `encoding` -
  `deleteTable` -
Throws:
  `SQLException`
  `FileNotFoundException`
  `IOException`

### importTable

public static void importTable(Connection connection, String fileName) throws IOException, SQLException
Copy data from TSV File into a new table in specified connection.

Parameters:
  `connection` -
  `fileName` -
Throws:
  `IOException`
  `SQLException`